aboutsummaryrefslogtreecommitdiffstats
path: root/SlackBuilds/SecLists
diff options
context:
space:
mode:
authordanix <danix@danix.xyz>2026-03-11 11:15:47 +0100
committerdanix <danix@danix.xyz>2026-03-11 11:15:47 +0100
commit68920e45aa89966b8484c1272f812cecc28fde5a (patch)
tree17e0d302ba15b440e05d627937643af9cd0c876f /SlackBuilds/SecLists
parente327d89fb31eba2fe9baa0a764066b94cbbb330b (diff)
downloadslackware-pentesting-suite-68920e45aa89966b8484c1272f812cecc28fde5a.tar.gz
slackware-pentesting-suite-68920e45aa89966b8484c1272f812cecc28fde5a.zip
Added SecLists and changed permissions to all SlackBuilds to 755
Diffstat (limited to 'SlackBuilds/SecLists')
-rw-r--r--SlackBuilds/SecLists/README8
-rwxr-xr-xSlackBuilds/SecLists/SecLists.SlackBuild78
-rw-r--r--SlackBuilds/SecLists/SecLists.info10
-rw-r--r--SlackBuilds/SecLists/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/SlackBuilds/SecLists/README b/SlackBuilds/SecLists/README
new file mode 100644
index 0000000..5f86af5
--- /dev/null
+++ b/SlackBuilds/SecLists/README
@@ -0,0 +1,8 @@
+SecLists - The Pentester's Companion
+
+SecLists is the security tester's companion. It's a collection of
+multiple types of lists used during security assessments, collected
+in one place. List types include usernames, passwords, URLs, sensitive
+data patterns, fuzzing payloads, web shells, and many more. The goal
+is to enable a security tester to pull this repository onto a new
+testing box and have access to every type of list that may be needed.
diff --git a/SlackBuilds/SecLists/SecLists.SlackBuild b/SlackBuilds/SecLists/SecLists.SlackBuild
new file mode 100755
index 0000000..cd07461
--- /dev/null
+++ b/SlackBuilds/SecLists/SecLists.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for SecLists
+
+# Copyright 2026 danix <danix@danix.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=SecLists
+VERSION=${VERSION:-2025.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# We'll put our lists in /usr/share/seclists (same as kali)
+mkdir -p $PKG/usr/share/seclists
+cp -a Ai Discovery Fuzzing Miscellaneous Passwords Pattern-Matching \
+ Payloads Usernames Web-Shells $PKG/usr/share/seclists
+
+# Strip binaries and libraries.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md CONTRIBUTORS.md LICENSE README.md SecLists.png \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/SlackBuilds/SecLists/SecLists.info b/SlackBuilds/SecLists/SecLists.info
new file mode 100644
index 0000000..96eed8c
--- /dev/null
+++ b/SlackBuilds/SecLists/SecLists.info
@@ -0,0 +1,10 @@
+PRGNAM="SecLists"
+VERSION="2025.3"
+HOMEPAGE="https://github.com/danielmiessler/SecLists"
+DOWNLOAD="https://github.com/danielmiessler/SecLists/archive/2025.3/SecLists-2025.3.tar.gz"
+MD5SUM="1b6e8fe21ec62904fdb57eae13dedce3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="danix"
+EMAIL="danix@danix.xyz"
diff --git a/SlackBuilds/SecLists/slack-desc b/SlackBuilds/SecLists/slack-desc
new file mode 100644
index 0000000..358ec62
--- /dev/null
+++ b/SlackBuilds/SecLists/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SecLists: SecLists (the security tester's companion.)
+SecLists:
+SecLists: It's a collection of multiple types of lists used during security
+SecLists: assessments, collected in one place.
+SecLists: List types include usernames, passwords, URLs, sensitive data
+SecLists: patterns, fuzzing payloads, web shells, and many more.
+SecLists: The goal is to enable a security tester to pull this repository
+SecLists: onto a new testing box and have access to every type of list
+SecLists: that may be needed.
+SecLists:
+SecLists: Repository: https://github.com/danielmiessler/SecLists